Loading...
Searching...
No Matches
LoggerHolder.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/Logging/LogIO.h>`
`#include <casacore/casa/Containers/Block.h>`
`#include <memory>`

Go to the source code of this file.

## Classes

class | casacore::LoggerHolder
| More...
class | casacore::LoggerHolderRep
| Representation of the class holding a hierarchy of loggers. More...
class | casacore::LogHolderIterEntry
| Class representing an entry in a LoggerHolder. More...
class | casacore::LogHolderIter
| Class doing the actual iteration through an LoggerHolder. More...
class | casacore::LoggerHolderIterator
| Class to iterate through an LoggerHolder. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines